lmms (1.2.2+dfsg1-6build1) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.9.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 17 May 2023 00:06:00 +0300

lmms (1.2.2+dfsg1-6) unstable; urgency=medium

  [ Dennis Braun ]
  * Fix d/watch download regex, use github api
  * Change my email address
  * Prefer libjack-dev over libjack-jackd2-dev
  * Bump Standards-Version to 4.6.2

  [ Petter Reinholdtsen ]
  * List libxcb-util-dev as the primary build alternative to the now
    obsolete libxcb-util0-dev.

 -- Petter Reinholdtsen <pere@hungry.com>  Tue, 14 Feb 2023 15:08:25 +0000

lmms (1.2.2+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * debian/rules: Re-enable i386 wine support. (Closes: #1025804)
    + Also fix for debian/lmms-vst-server.install.
  * debian/patches/fix-qt-crash-kwidgetsaddons-5.101.0.patch:
    Add patch to fix compatibility with kwidgetsaddons/5.101.0.
    (Closes: #1027690)

 -- Boyuan Yang <byang@debian.org>  Thu, 12 Jan 2023 16:37:37 -0500

lmms (1.2.2+dfsg1-4) unstable; urgency=high

  * Team upload.

  [ Boyuan Yang ]
  * debian/lmms-vst-server.install: Do not install RemoteVstPlugin*
    for now to fix i386 FTBFS. Follow-up of previous upload.
    (Closes: #1012862)

 -- Boyuan Yang <byang@debian.org>  Wed, 15 Jun 2022 14:50:53 -0400

lmms (1.2.2+dfsg1-3) unstable; urgency=medium

  * Team upload.

  [ Olivier Humbert ]
  * Update d/copyright (http -> https)

  [ Boyuan Yang ]
  * Rebuild for Qt 5.12.4 transition.
  * d/control,d/rules: Disable wine support on i386 architecture befine
    Debian Wine packaging is properly fixed.
  * d/control: Bump Standards-Version to 4.6.1.

 -- Boyuan Yang <byang@debian.org>  Tue, 14 Jun 2022 18:18:41 -0400

lmms (1.2.2+dfsg1-2) unstable; urgency=medium

  * Team upload

  [ Dennis Braun ]
  * Mark lmms-common as M-A: foreign

  [ Olivier Humbert ]
  * Update d/control: adds "qttranslations5-l10n" as a build depend

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 12 Sep 2020 16:08:26 +0200

lmms (1.2.2+dfsg1-1) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * B-D on libstk-dev

  [ Dennis Braun ]
  * New upstream version 1.2.2+dfsg1
  * Update patchset
  * d/control:
    + Add me as uploader
    + Bump dh-compat to 13
    + Bump S-V to 4.5.0
    + Use https protocol for the homepage
    + Set RRR: no
  * d/copyright: Update Files-Excluded
  * Add d/upstream/metadata
  * Update d/watch file
  * Add d/not-installed

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 05 Aug 2020 20:44:00 +0200

lmms (1.2.1+dfsg1-4) unstable; urgency=medium

  * Team upload
  * debian/control: Add libx11-xcb-dev to Build-Depends (Closes: #949197)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 18 Jan 2020 18:26:32 +0100

lmms (1.2.1+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * debian/control: Revert "libsoundio-dev does not exist on armel"
  * debian/patches: Use C11 atomics to fix build on armel

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 21 Nov 2019 23:16:17 +0100

lmms (1.2.1+dfsg1-2) unstable; urgency=medium

  * Team upload
  * debian/control: Do not B-D on libsoundio-dev on armel

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 20 Nov 2019 19:48:27 +0100

lmms (1.2.1+dfsg1-1) unstable; urgency=medium

  * Team upload

  [ Salsa Pipeline ]
  * Update salsa CI pipeline

  [ Dennis Braun ]
  * Remove non-free projects/songs to meet the dfsg
  * debian/copyright: Merge with upstream & update
  * Sort and refresh Build-Depends to support more features
    See https://github.com/LMMS/lmms/wiki/Dependencies-Debian
  * Update lmms.install & lmms-common.install
    + Add new icons, remove old ones
    + Add bash-completion
    + Add usr/share/lmms/projects/tutorials/
    + Remove "Cool Songs", not anymore in upstream
  * debian/lmms-vst-server.install:
    + Add all the lmms vst related plugins to the package
  * debian/rules: Add -DWANT_QT5=1 to CMAKE_OPTS

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/changelog: Remove trailing whitespaces

  [ Ross Gammon ]
  * Incorporate Ubuntu changes to avoid FTBFS on ppc64el there
  * Drop calf-ladspa package, keep internal to lmms (Closes: #870473)
  * New upstream release (Closes: #893852)
  * Update build dependencies for new version including QT5
    (Closes: #875038) (LP: #1757751)
  * Drop patches applied upstream

  [ Sebastian Ramacher ]
  * New upstream release (Closes: #945099)
    - Fix build issues with GCC 9 (Closes: #925771)
  * debian/watch: Tell uscan to repack
  * debian/:
    - Bump debhelper compat to 12.
    - Use system ECM
    - Remove obsolete maintscript
  * debian/control:
    - Remove shlib:Depends from Arch: all package
  * debian/lmms-common.install: Install additional banks
  * debian/lmms.install: Install all ladspa plugins

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 20 Nov 2019 01:39:58 +0100

lmms (1.1.3-8.1) unstable; urgency=high

  * Non-maintainer upload.

  [ Javier Serrano Polo ]
  * Add patch to fix FTBFS on i386 with wine 4.x.
    (Closes: #920393)

  [ Boyuan Yang ]
  * Limit supported wine version to 4.x.

 -- Boyuan Yang <byang@debian.org>  Fri, 25 Jan 2019 10:13:32 -0500

lmms (1.1.3-8) unstable; urgency=medium

  [ Javier Serrano Polo ]
  * Incorporate previous non-maintainer upload
  * Add build-amd64-20181013.patch to fix build with GCC 8 (Closes: #897806)

  [ Ross Gammon ]
  * Drop calf-ladspa from Depends to Recommends (Closes: #891756)
  * Move lmms maintenance to Debian Multimedia Team (Closes: #918242)
  * Update Vcs URLS to Debian Multimedia Team
  * Add myself to uploaders
  * Bumped standards version, copyright format URL now uses https
  * Remove trailing whitespace in debian/changelog
  * Fix grammatical error in wine-runpath.patch
  * Drop unused lintian overrides
  * Add hardening options to debian/rules
  * Add spelling.patch to fix some spelling errors
  * Unapply patches from source
  * Add a Salsa Gitlab CI file

 -- Ross Gammon <rossgammon@debian.org>  Sun, 20 Jan 2019 18:35:35 +0100

lmms (1.1.3-7.1) unstable; urgency=high

  * Non-maintainer upload.

  [ Javier Serrano Polo ]
  * Fix build with Clang.
  * Fix build with GCC 7 (Closes: #853527).

  [ Boyuan Yang ]
  * Remove Patrick Winnertz from uploaders list. (Closes: #867759)
    Thank you for your previous contributions!

 -- Boyuan Yang <073plan@gmail.com>  Sat, 10 Mar 2018 11:32:05 +0800

lmms (1.1.3-7) unstable; urgency=low

  [ Javier Serrano Polo ]
  * Separate flags for WINE_BUILD_FLAGS to fix build problem on i386.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 26 Dec 2016 07:36:54 +0000

lmms (1.1.3-6) unstable; urgency=low

  [ Javier Serrano Polo ]
  * Build with install RUNPATH (reproducibility).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 25 Dec 2016 09:38:53 +0000

lmms (1.1.3-5) unstable; urgency=medium

  [ Javier Serrano Polo ]
  * Add Wine stable path to PATH, otherwise wine package would be required.
  * Sort plug-in embedded resources (reproducibility).
  * Define NDEBUG instead of setting build type to honor optimization choice.

 -- Javier Serrano Polo <javier@jasp.net>  Sat, 03 Sep 2016 17:31:05 +0200

lmms (1.1.3-4) unstable; urgency=medium

  [ Javier Serrano Polo ]
  * Sort lists generated from globbing expressions (reproducibility).
  * Fixed upgrade that installs recommended packages (Closes: #827039).
  * Dropped unused build dependencies.
  * Dropped workaround for #824715, wineg++ is fixed.
  * Added contributors.
  * Honor CONTRIBUTORS override.
  * Replace __FILE__ (reproducibility).
  * Use build type "Release" (reproducibility).

 -- Javier Serrano Polo <javier@jasp.net>  Wed, 08 Jun 2016 01:25:37 +0200

lmms (1.1.3-3) unstable; urgency=medium

  [ Javier Serrano Polo ]
  * Dropped Wine path from PATH.
  * Fixed lmms-common upgrade (Closes: #825287).
  * Hide vocoder plug-in, it is now in swh-plugins (Closes: #826110).
  * Added workaround for #824715 (Closes: #825286).

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 03 Jun 2016 08:51:31 +0000

lmms (1.1.3-2) unstable; urgency=medium

  [ Javier Serrano Polo ]
  * Enabled vst plugin on i386 and amd64 (Closes: #763720).
  * Made Calf and vocoder plugins available to other programs (Closes: #758888).
  * Fixed version of metalish_dong01.ogg (Closes: #802588).
  * Bumped Standards-Version to 3.9.7. Doxygen documentation is not very useful.
  * Upgraded to Standards-Version 3.9.8. Ship icons in the default hicolor icon
    theme directories.
  * Use presets from zynaddsubfx-data.
  * Fixed build problems with GCC 6 (Closes: #811697).
  * Switch to PulseAudio back end on likely ALSA interception (Closes: #781479).
  * Updated copyright information.
  * Removed non-free projects.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 18 May 2016 09:09:23 +0000

lmms (1.1.3-1) unstable; urgency=low

  * New upstream version 1.1.3 (Closes: #788457).
    - Drop well-defined-loop.patch, included upstream.
  * Add config for git-buildpackage to use pristine-tar all the time.
  * Change homepage url to new http://lmms.io/.
  * Added fluid as build-depend.
  * New patch find-fluid.patch to find the fluid binary in unstable.
  * New patch gcc5.patch to get the code building with gcc 5 in
    unstable (Closes: #777989).
  * Added man-page-adjustment.patch to fix manpage formatting of AUTHOR
    block. Discovered thanks to lintian.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 21 Sep 2015 13:54:02 +0200

lmms (1.0.3-5) unstable; urgency=low

  * Make lmms replace and break lmms-common (<< 1.0.0-1) to handle the
    fact that /usr/share/menu/lmms moved from lmms-common to lmms in
    this version (Closes: #765970).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 19 Oct 2014 23:43:08 +0200

lmms (1.0.3-4) unstable; urgency=low

  * Correct watch file to reflect '-src' part of upstream tarball.
  * New desktop-argument.patch to let desktops know how to pass files to
    lmms.  Thanks to lintian for noticing the bug.
  * Revert change to enable the vsl plugin in version 1.0.3-3, as it did
    not work.  Reopen bug #763720.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 08 Oct 2014 19:21:53 +0200

lmms (1.0.3-3) unstable; urgency=medium

  * Try to get vsl plugin working on i386 by build depending on libwine-dev
    and wine32-dev-tools (Closes: #763720).  Unable to get it working on
    amd64.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 07 Oct 2014 12:13:16 +0200

lmms (1.0.3-2) unstable; urgency=medium

  * Change build rule to only enable ALSA support on Linux (Closes: #754718).
    Patch from Steven Chamberlain with input from Guillem Jover.
  * Drop libwine-dev build dependency to avoid build failure in the
    vst plugin.  It should be enabled when we figure out how to do it.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 02 Oct 2014 08:19:53 +0200

lmms (1.0.3-1) unstable; urgency=low

  * Move package into Debian Edu git repository and add myself as
    co-maintainer.
  * Update to upstream version 1.0.3.
  * Correct build dependency on i386, use libwine-dev instead of the now
    obsolete wine-dev (Closes: #748183).
  * Update Standards-Version from 3.9.5 to 3.9.6.
  * Add new well-defined-loop.patch to fix compile error triggered by
    undefined loop behaviour (Closes: #753177).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 01 Oct 2014 23:00:19 +0200

lmms (1.0.0-1) unstable; urgency=low

  * New upstream version (Closes: #703900, #735764, #696271)
  * Using a wraped-style control (Closes: #689347)
  * Don't suggest vcf as it no longer exists (since a long time)
    (Closes: #618350)
  * Problems with jack backend were fixed long ago (Closes: #557421)
  * No depends/recommends on wine anymore (Closes: #622215, #622080)

 -- Patrick Winnertz <winnie@debian.org>  Thu, 24 Apr 2014 22:30:17 +0200

lmms (0.4.10-2.3) unstable; urgency=low

  * Non maintainer upload.
  * Remove wine-related dependencies on amd64, thereby disabling building
    VST plugin. (Closes: #676760)

 -- Hilko Bengen <bengen@debian.org>  Wed, 27 Jun 2012 23:14:40 +0200

lmms (0.4.10-2.2) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with GCC 4.7. Closes: #667265.
  * Turn on verbose build.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Apr 2012 14:08:53 +0200

lmms (0.4.10-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on GNU/kFreeBSD. Thanks Pino Toscano.  (Closes: #641064)

 -- Robert Millan <rmh@debian.org>  Fri, 27 Apr 2012 22:55:55 +0200

lmms (0.4.10-2) unstable; urgency=low

  * Removed build-dep on libestools2.0-dev (Closes: #614975)

 -- Patrick Winnertz <winnie@debian.org>  Fri, 11 Mar 2011 09:37:43 +0100

lmms (0.4.10-1) unstable; urgency=low

  * Imported Upstream version 0.4.10
  * changed mode of patch
  * Add source/format with 3.0 (quilt) and rearrange source a bit
  * Bump standarts version to 3.9.1 - no further changes needed

 -- Patrick Winnertz <winnie@debian.org>  Fri, 11 Feb 2011 20:03:06 +0100

lmms (0.4.7-2) unstable; urgency=low

  [ Reinhard Tartler ]
  * Depend on wine only on i386 and amd64 (Closes: #590950)

  [ Patrick Winnertz ]
  * Uploading patch from siretart, thanks for helping.

 -- Patrick Winnertz <winnie@debian.org>  Mon, 02 Aug 2010 10:13:28 +0200

lmms (0.4.7-1) unstable; urgency=low

  * New upstream version

 -- Patrick Winnertz <winnie@debian.org>  Thu, 29 Jul 2010 16:24:00 +0200

lmms (0.4.6-2) unstable; urgency=low

  * Build-depend on libestools2.0-dev (Closes: #589882)

 -- Patrick Winnertz <winnie@debian.org>  Wed, 28 Jul 2010 11:55:16 +0200

lmms (0.4.6-1) unstable; urgency=low

  * New upstream version (Closes: #565733)
  * Bumped standards version to 3.8.3, no further changes needed

 -- Patrick Winnertz <winnie@debian.org>  Sun, 24 Jan 2010 16:40:39 +0100

lmms (0.4.5-1) unstable; urgency=low

  * New upstream version (Closes: #543645)
  * Fix FTBFS on amd64 (Closes: #540671 #543017)

 -- Patrick Winnertz <winnie@debian.org>  Fri, 11 Sep 2009 09:56:45 +0200

lmms (0.4.4-1) unstable; urgency=low

  * New upstream version (Closes: #511363)
  * Provide menu file (Closes: #514905)
    - The menufile is included in lmms-common and not in lmms
      as it is not arch specific
  * Bumped standards version to 3.8.2 no further changes needed

 -- Patrick Winnertz <winnie@debian.org>  Wed, 05 Aug 2009 20:46:40 +0200

lmms (0.3.2-1) unstable; urgency=low

  * Decrease wine dependency to wine-bin as suggested. (Closes: #446163)
  * Acknowlegded NMU from Pierre Habouzit <madcoder@debian.org> in order to
    fix FTBFS with gcc-4.3 which (Closes: #462202)
  * Now including the singerbot plugin. (Closes: #443224)
  * Add patch to prevent lmms from crashing.

 -- Patrick Winnertz <winnie@debian.org>  Mon, 17 Mar 2008 10:56:12 +0100

lmms (0.3.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add g++-4.3.patch to fix g++-4.3 FTBFS (Closes: 462202).

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 16 Mar 2008 23:21:56 +0000

lmms (0.3.1-1) unstable; urgency=low

  * Packaging new upstream release.
  * Install Upstream Changelog (Closes: #441477)
    Thanks to Felipe Sateler
  * Lowered the caps dependency to Recommends (Closes: #446163)
  * Added -i/-a to the build targets in rules in order to make sure that only
    (in)dep packages are build.
  * Changed my maintainer address
  * Added patch to remove stereo_enhancer plugin which has a ftbfs with gcc
    4.2.3
  * Added imagemagick as build-dep since we have to convert a .png to a .xpm
    via convert
  * Doesn't install upstreams menu file, since it's outdated.. instead use
    our own.
  * Standard-Version bump to 3.7.3
  * Remove Homepage field from Description and create a own Header
  * Added postinst and postrm for lmms-common to call update-menu if available
    (this has to be done manually, since we doesn't use dh_installmenu to install
    the menu file)

 -- Patrick Winnertz <winnie@debian.org>  Thu, 06 Dec 2007 07:08:04 +0100

lmms (0.3.0-1) unstable; urgency=low

  [ Tobias Doerffel ]
  * New upstream release. (Closes: #439301)
  * Removed patch from Thomas Girard as upstream merged changes

  [ Patrick Winnertz ]
  * Moved manpage into correct package (lmms)
  * Removed manuall installation of Upstream Changelog, thanks to the power of
    debhelper ;-)
  * FTBFS with gcc 4.2 is fixed by upstream (Closes: #383295)
  * lmms has now a proper menu entry (Closes: #383406)
  * lmms depends now on the same version of lmms-common (Closes: #389037)
  * fixed by upstream: arpeggio status is now saved (Closes: #433262)
  * Added build-depends libqt3-i18n (Closes: #384406)
  * Added watch file for lmms (Closes: #439302)
    Thanks to Raphael Geissert
  * Improved copyright file
  * Doesn't build libsingerbot since it is experimental and doesn't work
    correct yet
  * Added several build-dependencys (libstk0-dev, libestools1.2-dev, ladspa-sdk,
    libflac-dev, libwine-dev [i386], libqt3-i18n, libasound2-dev,
    festival-dev, dpatch )
  * Take over this package from Florian Ragwitz, so set myself as maintainer
  * Add a depends on a specific version of lmms-common
  * Added several new dependencys to lmms
  * Improved description of lmms and lmms-common
  * Die on errors of clean, but don't die if the makefile doesn't exist
  * Added watch file

 -- Patrick Winnertz <patrick.winnertz@skolelinux.org>  Fri, 24 Aug 2007 08:23:34 +0200

lmms (0.2.1-1.1) unstable; urgency=high

  * Non-maintainer Upload
  * Add Patch by Thomas Girard for segfault right after
    lmms starting up (Closes: 382491)

 -- Michael Ablassmeier <abi@debian.org>  Tue,  5 Sep 2006 12:00:40 +0200

lmms (0.2.1-1) unstable; urgency=low

  * New upstream release.
  * Bump up Standards-Version to 3.7.2 (no changes).
  * Use DH_COMPAT 5.

 -- Florian Ragwitz <rafl@debian.org>  Sun, 13 Aug 2006 14:40:13 +0200

lmms (0.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Florian Ragwitz <rafl@debian.org>  Sat,  4 Feb 2006 07:16:47 +0100

lmms (0.1.3-1) unstable; urgency=low

  * New upstream release.
  * debian/lmms.1 was included by upstream. Removed it from debian/.
  * Install lmms.1 in lmms-common instead of lmms to safe some mirror space.
  * Added a lintian override for the above, as lintian is not smart enough to
    check for manpages in other packages from the same source package on which
    a package with a missing manpage depends.

 -- Florian Ragwitz <rafl@debian.org>  Wed,  1 Feb 2006 18:28:42 +0100

lmms (0.1.2-1) unstable; urgency=low

  * New upstream release.

 -- Florian Ragwitz <rafl@debian.org>  Thu, 22 Dec 2005 16:22:50 +0100

lmms (0.1.1-2) unstable; urgency=low

  * lmms-common doesn't depend on lmms anymore to remove a circular
    dependencies (Closes: #339906).

 -- Florian Ragwitz <rafl@debian.org>  Sun, 20 Nov 2005 12:27:08 +0100

lmms (0.1.1-1) unstable; urgency=low

  * New upstream release.
  * Changed Maintainer address.
  * Added libjack-dev to Build-Depends.

 -- Florian Ragwitz <rafl@debian.org>  Mon, 31 Oct 2005 10:48:36 +0100

lmms (0.0.9+0.1.0rc1-1) unstable; urgency=low

  * Initial Release (Closes: #315976).

 -- Florian Ragwitz <rafl@debianforum.de>  Fri, 22 Jul 2005 16:33:17 +0200
